<template>
    <div>
        <p>Number of Entries: {{ posts.length }}</p>
        <ul>
            <li v-for="post of posts" v-if="counter < 21">
                <p><strong>{{ counter++ }} {{post.title}}</strong></p>
                <p>{{post.body}}</p> 
            </li>
        </ul>
    </div>
</template>
<script>

export default {
  data() {
    return {
      posts: [],
      errors: []
    }
  },

  // Fetches posts when the component is created.
  created() {
    axios.get(`http://jsonplaceholder.typicode.com/posts`)
    .then(response => {
      // JSON responses are automatically parsed.
      this.posts = response.data
      this.counter = 1
    })
    .catch(e => {
      this.errors.push(e)
    })
  },
  increment() { 
    this.counter++;
  },
    computed: {
        resultCount () {
            return this.posts.length
    }
}
}
</script>